Subject: Ticket Assigned - Wrongly charged for failed order
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 17 Nov 2021 10:20:11 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Wrongly charged for failed order Dear Splash team,
I was trying to place an order yesterday however your website showed
"transaction failed, please try again". I tried placing the order again and
the same error occurred. Even though my order was not placed,two attempts
done at the same time were charged to me of 45 AED each  and were debited
from my ENBD credit card.
I have attached the details and screenshots of the amount debited from my
card twice and the error messages.
I have reported the same to your call center as well yesterday itself.
Please refund the amount charged to my credit card ASAP and confirm the
same.

Komal Tyagi
+971522811022
Splash login id: [email-masked]

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3384031